Name:           spamoracle
Version:        1.4
Release:        %mkrel 4
Group:          Networking/Mail
Summary:        Spam filter based on statistical analysis of e-mail contents
License:        GPL
URL:            http://pauillac.inria.fr/~xleroy/software.html#spamoracle
Source0:        http://pauillac.inria.fr/~xleroy/software/spamoracle-%{version}.tar.bz2
BuildRequires:  ocaml

%description
SpamOracle is a tool to help detect and filter away "spam"
(unsolicited commercial e-mail).  It proceeds by statistical analysis
of the words that appear in the e-mail, comparing the frequencies of
words with those found in a user-provided corpus of known spam and
known legitimate e-mail.  The classification algorithm is based on
Bayes' formula, and is described in Paul Graham's paper, "A plan for
spam", <http://www.paulgraham.com/spam.html>.

%prep
%setup -q

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{%{_bindir},%{_mandir}/{man1,man5}}
make install \
  BINDIR=%{buildroot}/%{_bindir} \
  MANDIR=%{buildroot}/%{_mandir}

%files
%doc README Changes
%{_bindir}/spamoracle
%{_mandir}/man1/spamoracle.1*
%{_mandir}/man5/spamoracle.conf.5*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.4-4.mga4
+ Revision: 518450
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.4-3.mga3
+ Revision: 382421
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.4-2.mga3
+ Revision: 301691
- new rpm group for ocaml

* Thu Apr 19 2012 blue_prawn <blue_prawn> 1.4-1.mga2
+ Revision: 231876
- Import package from Mandriva


* Thu Sep 22 2011 Götz Waschk <waschk@mandriva.org>
+ Revision: 700801
- rebuild

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org>
+ Revision: 445186
- rebuild

* Tue Jan 06 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 325808
- removed procmail dep (can be used with anything)

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org>
+ Revision: 260916
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org>
+ Revision: 252898
- rebuild

* Wed Jan 02 2008 Olivier Blin <blino@mandriva.org>
+ Revision: 140850
- restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org>
+ Revision: 127501
- kill re-definition of %%buildroot on Pixel's request

* Thu Apr 12 2007 Root <root@mandriva.org>
+ Revision: 11099
- SILENT: import spamoracle-1.4-4mdv2007.1
